## GnomeDbEntryShell

GnomeDbEntryShell — Provides the necessary button to control ths state of a GnomeDbDataEntry

##

# Synopsis

    struct      GnomeDbEntryShell;
    struct      GnomeDbEntryShellClass;
    struct      GnomeDbEntryShellPriv;
    void        gnome_db_entry_shell_pack_entry (GnomeDbEntryShell *shell,
                                                 GtkWidget *main_widget);
    void        gnome_db_entry_shell_refresh    (GnomeDbEntryShell *shell);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkBin
                                     +----GtkViewport
                                           +----GnomeDbEntryShell
                                                 +----GnomeDbEntryWrapper
                                                 +----GnomeDbEntryCombo

## Implemented Interfaces

GnomeDbEntryShell implements AtkImplementorIface and GtkBuildable.

## Properties

      "actions"              gboolean             : Read / Write
      "handler"              gpointer             : Read / Write
      "is-cell-renderer"     gboolean             : Read / Write

## Description

This class adds a button on the right of a data entry and provides the default actions on the assicated data. This class MUST NOT be instanciated directly, but inherited by a class which implements the GnomeDbDataEntry interface.

## Details

### struct GnomeDbEntryShell

    struct GnomeDbEntryShell;

### struct GnomeDbEntryShellClass

    struct GnomeDbEntryShellClass {

    	GtkViewportClass    parent_class;
    };

### struct GnomeDbEntryShellPriv

    struct GnomeDbEntryShellPriv;

### gnome_db_entry_shell_pack_entry ()

    void        gnome_db_entry_shell_pack_entry (GnomeDbEntryShell *shell,
                                                 GtkWidget *main_widget);

Packs a GTkWidget widget into the GnomeDbEntryShell.

`shell` : | a GnomeDbEntryShell object
`main_widget` : | a GtkWidget to pack into `shell`

### gnome_db_entry_shell_refresh ()

    void        gnome_db_entry_shell_refresh    (GnomeDbEntryShell *shell);

Forces the shell to refresh its display (mainly the color of the button).

`shell` : | the GnomeDbEntryShell widget to refresh

## Properties

"`actions`" (gboolean : Read / Write) |
"`handler`" (gpointer : Read / Write) |
"`is-cell-renderer`" (gboolean : Read / Write) |